export default [
	
	{
		path: "/",
		name: "index",
		component: () => import("@/web/open/index.vue"),
		meta: {
			keepAlive: true //此组件需要被缓存
		}
	},
	/*技术选型*/
	{
		path: "/explain",
		name: "explain",
		component: () => import("@/web/open/explain.vue"),
		meta: {
			keepAlive: true //此组件需要被缓存
		}
	},
	/*项目结构*/
	{
		path: "/structure",
		name: "structure",
		component: () => import("@/web/open/structure.vue"),
		meta: {
			keepAlive: true //此组件需要被缓存
		}
	},
	/*题库*/
	{
		path: "/subject",
		name: "subject",
		component: () => import("@/web/open/subject.vue"),
		meta: {
			keepAlive: true //此组件需要被缓存
		}
	},
	/*结果页面(答题页面)*/
	{
		path: "/result",
		name: "result",
		component: () => import("@/web/dev/result.vue"),
		meta: {
			keepAlive: true //此组件需要被缓存
		}
	},
	{
		path: "/*",
		name: "Page 404",
		component: () => import("@/web/open/page404.vue"),
		meta: {
			keepAlive: true //此组件需要被缓存
		}
	}
]
